Subject: Re: [PATCH] git-reset --hard: use quotes when we tell the user what HEAD was reset to

From: Andy Whitcroft <[email-masked]>
Date: Mon, 08 Jan 2007 08:33:49 +0000

Junio C Hamano wrote:
> "Fredrik Kuivinen" <[email-masked]> writes:
> 
>>>>     I think we need to delimit the name better, probabally we need to quote
>>>>     it.  Perhaps something like:
>>>>
>>>>     HEAD is now at ac9c110: "git-fetch: remove .keep file at the end".
>>> ...
>> I don't think the second point is much of an issue. Is it really that
>> irritating to
>> read a word-wrapped line of text? I agree with the first point though, in most
>> cases it will not be a problem in other projects.
>>
>> I still think it is worth doing it, but it certainly isn't super
>> important. Feel free
>> to drop the patch if you want to.
> 
> I do not care much either way, but the third point is that the
> quoted output would look "interesting" if the original title
> text has double-quoted words.  I.e.
> 
>     HEAD is now at 9945d98: "Add "--cacheinfo" option to update-cache."
> 
> Notice also your hand-wrapped example has the final full-stop
> outside the quote, which your patch would not produce ;-).

Heh, well perhaps I should use the original for a while longer and see
if I get used to it.  Of course I mostly use git on git and linux which
both tend to have "error" in their titles :).

-apw